Status: Resolved Priority: Could have
Author: Jochen Rau Category: Reflection
Created: 2010-04-08 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Remove code that is not needed anymore
Description

After the introduction of the TypeHandling class the following lines can be safely removed from \F3\FLOW3\Reflection\ClassSchema:

    /**
     * Specifies the allowed property types.
     */
    const ALLOWED_TYPES_PATTERN =
'/^\\\\?(?P<type>integer|int|float|double|boolean|bool|string|DateTime|F3\\\\[a-zA-Z0-9\\\\]+|array|ArrayObject|SplObjectStorage)(?:<(?P<elementType>[a-zA-Z0-9\\\\]+)>)?/';

(?:<(?P<elementType>[a-zA-Z0-9\\\\]+)>)?/';

History
#1 - 2010-04-15 13:01 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date deleted (2010-04-08)

#2 - 2010-04-15 17:18 - Karsten Dambekalns
- Start date set to 2010-04-15
- Estimated time set to 1.00

#3 - 2010-04-15 22:24 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Resolved as of r4149 - used wrong issue number on commit message...
